home chevron_right Documentation chevron_right Directives
fuseMatSidenav

`fuseMatSidenav` is a helper directive that enhances the Angular Material's sidenav. It modifies the sidenav so it will function like the Angular Material 1.x sidenav. It also has a service which you can register a sidenav in order to access and control its status from anywhere.

Usage

<mat-sidenav position="start" opened="true" mode="side" fuseMatSidenavHelper="chat-left-sidenav" mat-is-locked-open="gt-md">

Inputs

`fuseMatSidenavHelper` A unique name for the sidenav.

`mat-is-locked-open` Adds a locked open functionality just like Angular Material 1.x sidenav. Works with the media step aliases of the FlexLayout library.

Accessing to the sidebav methods from anywhere

constructor( private _fuseMatSidenavHelperService: FuseMatSidenavHelperService, ) {} toggleSidenav() { this._fuseMatSidenavHelperService.getSidenav('chat-left-sidenav').toggle(); }